Update account (partial)
curl --request PATCH \
--url https://staging-api.usetyms.com/v1/adam/accounts/{uuid} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"account_number": "<string>",
"description": "<string>",
"parent": "<string>",
"opening_balance": 123,
"opening_balance_date": "<string>",
"opening_balance_exchange_rate": 123
}
'import requests
url = "https://staging-api.usetyms.com/v1/adam/accounts/{uuid}"
payload = {
"account_number": "<string>",
"description": "<string>",
"parent": "<string>",
"opening_balance": 123,
"opening_balance_date": "<string>",
"opening_balance_exchange_rate": 123
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_number: '<string>',
description: '<string>',
parent: '<string>',
opening_balance: 123,
opening_balance_date: '<string>',
opening_balance_exchange_rate: 123
})
};
fetch('https://staging-api.usetyms.com/v1/adam/accounts/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"message": "Account updated successfully",
"data": {
"uuid": "acc-uuid-1",
"description": "Updated description"
}
}Chart of accounts
Update account (partial)
PATCH
/
accounts
/
{uuid}
Update account (partial)
curl --request PATCH \
--url https://staging-api.usetyms.com/v1/adam/accounts/{uuid} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"account_number": "<string>",
"description": "<string>",
"parent": "<string>",
"opening_balance": 123,
"opening_balance_date": "<string>",
"opening_balance_exchange_rate": 123
}
'import requests
url = "https://staging-api.usetyms.com/v1/adam/accounts/{uuid}"
payload = {
"account_number": "<string>",
"description": "<string>",
"parent": "<string>",
"opening_balance": 123,
"opening_balance_date": "<string>",
"opening_balance_exchange_rate": 123
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_number: '<string>',
description: '<string>',
parent: '<string>',
opening_balance: 123,
opening_balance_date: '<string>',
opening_balance_exchange_rate: 123
})
};
fetch('https://staging-api.usetyms.com/v1/adam/accounts/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"message": "Account updated successfully",
"data": {
"uuid": "acc-uuid-1",
"description": "Updated description"
}
}Authorizations
Business secret tyms_sk_... for business-scoped routes. Partner secret for register-business and referred-business distributor routes.
Path Parameters
Body
application/json
Response
200 - application/json
Account updated (partial)